#!/bin/bash 
# 目标版本
TARGET_VERSION="3.1.1.10-0k1.9"

# 获取当前安装的ukui-session-manager版本
# 注意：这个命令可能会因你的系统而异
CURRENT_VERSION=$(dpkg -l | grep -E 'ukui-session-manager' | awk '{print $3}' | cut -d: -f2)

# 检查是否成功获取了版本
if [ -z "$CURRENT_VERSION" ]; then
    echo "无法找到ukui-session-manager的版本信息"
    exit 1
fi

# 比较版本
if dpkg --compare-versions "$CURRENT_VERSION" ge "$TARGET_VERSION"; then
    # 如果当前版本高于或等于目标版本
    if [ ! -f "/tmp/WhetherNotify" ]; then
        # 判断文件/tmp/WhetherNotify是否存在，不存在则创建
        touch /tmp/WhetherNotify
        echo "ukui-session-manager的版本高于或等于$TARGET_VERSION，已创建/tmp/WhetherNotify文件"
    else
        # 如果文件存在，则执行命令kylin-updateresult-notify-new
        kylin-updateresult-notify-new
        echo "ukui-session-manager的版本高于或等于$TARGET_VERSION，已执行kylin-updateresult-notify-new命令"
    fi
else
    # 如果当前版本低于目标版本，则执行弹窗命令
    kylin-updateresult-notify-new
    echo "ukui-session-manager的版本低于$TARGET_VERSION，已执行命令"
fi
